Bug 1222982 - OpenTK - Don't build with mono 4
Summary: OpenTK - Don't build with mono 4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenTK
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1224464
Blocks: 1221559 1222945
TreeView+ depends on / blocked
 
Reported: 2015-05-19 14:31 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2015-06-05 07:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-04 15:49:43 UTC
Type: Bug


Attachments (Terms of Use)
log file of build log on koji / rawhide (10.46 KB, text/plain)
2015-05-22 06:23 UTC, Timotheus Pokorra
no flags Details

Description Claudio Rodrigo Pereyra DIaz 2015-05-19 14:31:39 UTC
Require fix spec and maybe patches to build with mono 4x
Need move to profile 4.5

See: https://fedoraproject.org/wiki/Changes/Mono_4

Comment 1 Timotheus Pokorra 2015-05-22 06:23:44 UTC
Created attachment 1028562 [details]
log file of build log on koji / rawhide

I have tried building the package on Koji against Rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=9826520

You see the error in the attached log file.

Some problem with parsing the resource file Source/Compatibility/Properties/Resources.resx
Sounds much like https://bugzilla.xamarin.com/show_bug.cgi?id=6451, but I cannot figure out what the solution is.

Seems to build fine with Mono 3.12.1, but fails on Mono 4.

Perhaps we should ask upstream if they can fix it?

Comment 2 Timotheus Pokorra 2015-05-22 07:03:32 UTC
No, it does not seem to be a problem with Mono 4 in general.

I was able to do this:
On F21, installed mono-core 4.0.1 packages from Xamarin.
Modified the spec file:
 commented the removal of the cecil dlls from Dependencies, 
 and commented the sed lines for the Mono.Cecil version number.
Then rpmbuild, and it worked.

So what is the difference? is it something how we package Mono4 vs how Xamarin does it?

Comment 3 Timotheus Pokorra 2015-05-22 07:11:10 UTC
Still not right: I tested it now with our Mono packages built on copr (https://copr.fedoraproject.org/coprs/tpokorra/mono/) for F21, and it works the same as with the Xamarin packages (with the modifications in the spec file for mono-cecil).

So is it something F21 vs Rawhide?

I have to leave this for today... perhaps someone else has an idea?

Comment 4 Miro Hrončok 2015-05-22 10:41:19 UTC
Me being the packager of this, I have to admit I have no idea about this, so I cannot fix it without your help.

Comment 5 Timotheus Pokorra 2015-05-23 08:41:43 UTC
I think I have found the difference: libgdiplus builds on Rawhide without support for gif, tiff and jpeg. This causes the problem. I will file a new bug for that

Comment 6 Claudio Rodrigo Pereyra DIaz 2015-06-03 12:17:20 UTC
I just push a fix on libgdiplus on rawhide to fix the problem whit tiff, jgp and gif support, that should help to fix this bug to

Comment 7 Timotheus Pokorra 2015-06-04 15:49:43 UTC
the build has now worked for Rawhide: http://koji.fedoraproject.org/koji/packageinfo?packageID=15281

Comment 8 Miro Hrončok 2015-06-05 07:07:20 UTC
Thank you both.


Note You need to log in before you can comment on or make changes to this bug.